Bug 1417082 - view_subscription filter does not allow subscriptions to be viewed
Summary: view_subscription filter does not allow subscriptions to be viewed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.2.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On: 1333219
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 07:57 UTC by pm-sat@redhat.com
Modified: 2020-08-13 08:50 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1333219
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
Role detail (42.55 KB, image/png)
2017-08-16 09:20 UTC, Tomas Strachota
no flags Details
User detail (51.79 KB, image/png)
2017-08-16 09:20 UTC, Tomas Strachota
no flags Details
Subscriptions page (21.70 KB, image/png)
2017-08-16 09:21 UTC, Tomas Strachota
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17054 0 Normal Closed view_subscription filter does not allow non-admin user to list/view the subscriptions. 2020-02-20 19:00:54 UTC

Comment 2 Tomas Strachota 2017-08-16 09:18:39 UTC
Verified in Satellite 6.3 snap 11

I was able to create a new user with view_subscriptions permission and access the subscriptions page. See attached screenshots.

Comment 3 Tomas Strachota 2017-08-16 09:20:16 UTC
Created attachment 1314022 [details]
Role detail

Comment 4 Tomas Strachota 2017-08-16 09:20:59 UTC
Created attachment 1314024 [details]
User detail

Comment 5 Tomas Strachota 2017-08-16 09:21:33 UTC
Created attachment 1314026 [details]
Subscriptions page

Comment 6 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.